# $Revision: 1.148.2.5 $, $Date: 2006/12/26 11:44:54 $
#
# Conditional build:
%bcond_without	doc	# skip generating docs (which is time-consuming). Intended for speed up test builds
%bcond_without	emacs	# skip building package with ruby-mode for emacs
#
%define		ruby_ver	1.8
%define		ruby_ridir	%{_datadir}/ri/%{ruby_ver}/system
Summary:	Ruby - interpreted scripting language
Summary(ja):	֥ȻظRuby󥿥ץ꥿
Summary(pl):	Ruby - interpretowany jzyk skryptowy
Summary(pt_BR):	Linguagem de script orientada a objeto
Summary(zh_CN):	ruby - һֿٸЧű
Name:		ruby
Version:	1.8.5p2
Release:	5	
Epoch:		1
License:	The Ruby License
Group:		Development/Languages
Source0:	ftp://ftp.ruby-lang.org/pub/ruby/%{name}-1.8.5-p2.tar.gz
# Source0-md5:	a3517a224716f79b14196adda3e88057
Source1:	http://www.ibiblio.org/pub/languages/ruby/doc/%{name}-texi-1.4-en.tar.gz
# Source1-md5:	839fda4af52b5c5c6d21f879f7fc62bf
Source2:	http://www.math.sci.hokudai.ac.jp/~gotoken/ruby/%{name}-uguide-981227.tar.gz
# Source2-md5:	24eadcd067278901da9ad70efb146b07
Source3:	http://www.ibiblio.org/pub/languages/ruby/doc/%{name}faq-990927.tar.gz
# Source3-md5:	634c25b14e19925d10af3720d72e8741
Source4:	irb.1
Source5:	http://www.geocities.jp/kosako3/oniguruma/archive/onigd2_5_7.tar.gz
# Source5-md5:	dcaa0b3608990791a5348e94b2f427d5
%define stdlibdoc_version	0.10.1
Source6:	http://www.ruby-doc.org/download/stdlib/%{name}-doc-stdlib-%{stdlibdoc_version}.tgz
# Source6-md5:	5437c281b44e7a4af142d2bd35eba407
Source7:	http://www.ruby-doc.org/download/Ruby-1.8.1_ri_data.zip
# Source7-md5:	96e97cdfa55ed197e0e6c39159394c82
Source8:	erb.1
Source9:	rdoc.1
Source10:	ri.1
Source11:	testrb.1
Source12:	%{name}-mode-init.el
Patch0:		%{name}-info.patch
Patch1:		%{name}-LIB_PREFIX.patch
Patch2:		%{name}-mkmf-shared.patch
Patch3:		%{name}-ac260.patch
Patch4:		%{name}-tklib64.patch
URL:		http://www.ruby-lang.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
%{?with_emacs:BuildRequires:	emacs}
BuildRequires:	gdbm-devel >= 1.8.3
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel >= 4.2
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	tk-devel
BuildRequires:	unzip
Requires(post,postun):	/sbin/ldconfig
Provides:	ruby(ver) = %{ruby_ver}
Obsoletes:	rdoc
Obsoletes:	ruby-REXML
Obsoletes:	ruby-doc < 1.8.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# bleh, some nasty (gcc or ruby) bug still not fixed
# (SEGV or "unexpected break" on miniruby run during build)
%define		specflags_ia64	-O0

# ruby needs frame pointers for correct exception handling
%define		specflags_ia32	-fno-omit-frame-pointer

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in Perl). It is simple,
straight-forward, extensible, and portable.

This package contains only shared library and ruby interpreter. To get
full-functional ruby environment install ruby-modules package.

%description -l ja
Rubyϥץ뤫ĶϤʥ֥ȻظץȸǤRubyϺǽ
ʥ֥ȻظȤ߷פƤޤ顤֥
ظץߥ󥰤ڤ˹Ԥޤ̾μ³Υ
ߥ󥰤ǽǤ

%description -l pl
Ruby to interpretowany jzyk skryptowy, w sam raz dla atwego i
szybkiego pisania zorientowanych obiektowo programw. Ma wiele funkcji
uatwiajcych przetwarzanie plikw tekstowych i wykonywanie prac
zwizanych z zarzdzaniem systemu (podobnie jak Perl). Jest prosty,
rozszerzalny i przenony.

Ten pakiet zawiera tylko bibliotek dzielon i interpreter ruby.
Zainstaluj pakiet ruby-modules, jeeli potrzebujesz w peni
funkcjonalnego rodowiska ruby.

%description -l pt_BR
Ruby  uma linguagem de script interpretada de programao orientada a
objeto. Possui diversas caractersticas para processamento de texto. 
simples, extensvel e direta.

%package modules
Summary:	Ruby standard modules and utilities
Summary(pl):	Standardowe moduy i narzdzia dla jzyka Ruby
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	ruby-modules(ver) = %{ruby_ver}

%description modules
Ruby standard modules and utilities:
- erb - Tiny eRuby
- rdoc - documentation tool for source code
- irb - interactive Ruby
- ri - Ruby interactive reference
- testrb - automatic runner for Test::Unit of Ruby

%description modules -l pl
Standardowe moduy i narzdzia Ruby:
- erb - may eRuby
- rdoc - narzdzie do dokumentowania kodu rdowego
- irb - interaktywny Ruby
- ri - interaktywna dokumentacja Ruby
- testrb - automatyczny runner dla Ruby Test::Unit

%package tk
Summary:	Ruby/Tk bindings
Summary(pl):	Wizania Ruby/Tk
Group:		Development/Languages
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description tk
This pachage contains Ruby/Tk bindings.

%description tk -l pl
Ten pakiet zawiera wizania Ruby/Tk.

%package devel
Summary:	Ruby development libraries
Summary(pl):	Biblioteki programistyczne interpretera jzyka Ruby
Group:		Development/Languages
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description devel
Ruby development libraries.

%description devel -l pl
Biblioteki programistyczne interpretera jzyka Ruby.

%package static
Summary:	Ruby static libraries
Summary(pl):	Biblioteki statyczne Ruby
Group:		Development/Languages
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Ruby static libraries.

%description static -l pl
Biblioteki statyczne Ruby.

%package doc
Summary:	Ruby HTML documentation
Summary(pl):	Dokumentacja HTML do Ruby
Group:		Documentation

%description doc
Ruby HTML documentation: FAQ, guide, core and standard library.

%description doc -l pl
Dokumentacja HTML do Ruby: FAQ, przewodnik, dokumentacja dla core i
stdlib.

%package doc-ri
Summary:	Ruby ri documentation
Summary(pl):	Dokumentacja Ruby w formacie ri
Group:		Documentation
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description doc-ri
Ruby ri documentation.

%description doc-ri -l pl
Dokumentacja Ruby w formacie ri.

%package examples
Summary:	Ruby examples
Summary(pl):	Przykady dla jzyka Ruby
Group:		Development/Languages

%description examples
Ruby examples.

%description examples -l pl
Przykady programw w jzyku Ruby.

%package emacs-mode
Summary:	Ruby mode and debugger for Emacs
Summary(pl):	Tryb Ruby i debugger dla Emacsa
Group:		Development/Tools
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	emacs-common

%description emacs-mode
Ruby mode and debugger for Emacs.

%description emacs-mode -l pl
Tryb Ruby i debugger dla Emacsa.

%prep
%setup -q -a1 -a2 -a3 -a5 -a6 -a7 -n %{name}-1.8.5-p2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

find . -name '*.rb' -o -name '*.cgi' -o -name '*.test' -o -name 'ruby.1' \
	-o -name 'ruby.info*' -o -name '*.html' -o -name '*.tcl' -o -name '*.texi' \
	| xargs %{__sed} -i 's,/usr/local/bin/,%{_bindir}/,'

%build
cp -f /usr/share/automake/config.sub .

cd oniguruma
%configure \
	--with-rubydir=..
%{__make} 18
cd ..

%{__autoconf}
%configure \
	--enable-shared \
	--enable-pthread

%{__make}
%{__make} clean -C %{name}-texi-1.4-en
%{__make} info -C %{name}-texi-1.4-en

%if %{with doc}
mkdir rdoc

RUBYLIB="lib:`find ext/ .ext/ -type d | tr '\n' ':'`"
export RUBYLIB

LD_LIBRARY_PATH=. ./ruby bin/rdoc --inline-source --op rdoc/core \
	array.c bignum.c class.c compar.c dir.c dln.c dmyext.c enum.c \
	error.c eval.c file.c gc.c hash.c inits.c io.c lex.c main.c marshal.c \
	math.c numeric.c object.c pack.c parse.c prec.c process.c random.c range.c \
	re.c regex.c ruby.c signal.c sprintf.c st.c string.c struct.c time.c util.c \
	variable.c version.c \
	lib/English.rb lib/abbrev.rb lib/base64.rb lib/benchmark.rb lib/cgi.rb \
	lib/cgi/session.rb lib/complex.rb lib/date.rb lib/fileutils.rb lib/find.rb \
	lib/generator.rb lib/logger.rb lib/matrix.rb lib/observer.rb \
	lib/pathname.rb lib/set.rb lib/shellwords.rb lib/singleton.rb \
	lib/tempfile.rb lib/test/unit.rb lib/thread.rb lib/thwait.rb \
	lib/time.rb lib/yaml.rb

mv ruby-doc-stdlib-%{stdlibdoc_version}/stdlib rdoc/stdlib
mv ri/%{ruby_ver}/site ri/%{ruby_ver}/system

LD_LIBRARY_PATH=. ./ruby bin/rdoc --ri -o ri/%{ruby_ver}/system \
	array.c bignum.c class.c compar.c dir.c dln.c \
	dmyext.c enum.c error.c eval.c file.c gc.c hash.c inits.c io.c lex.c main.c \
	marshal.c math.c numeric.c object.c pack.c parse.c prec.c process.c \
	random.c range.c re.c regex.c ruby.c signal.c sprintf.c st.c string.c \
	struct.c time.c util.c variable.c version.c \
	lib/English.rb lib/abbrev.rb lib/base64.rb lib/benchmark.rb lib/cgi.rb \
	lib/cgi/session.rb lib/complex.rb lib/date.rb lib/fileutils.rb lib/find.rb \
	lib/generator.rb lib/logger.rb lib/matrix.rb lib/observer.rb lib/pathname.rb \
	lib/set.rb lib/shellwords.rb lib/singleton.rb lib/tempfile.rb \
	lib/test/unit.rb lib/thread.rb lib/thwait.rb lib/time.rb lib/yaml.rb
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version},%{ruby_ridir}}
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_emacs_lispdir}/{%{name}-mode,site-start.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -Rf sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install %{name}-texi-1.4-en/ruby.info* $RPM_BUILD_ROOT%{_infodir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE8} $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE9} $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE10} $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE11} $RPM_BUILD_ROOT%{_mandir}/man1

cp -Rf ruby-uguide guide
cp -Rf rubyfaq faq

%{?with_doc:cp -Rf ri/%{ruby_ver}/system/* $RPM_BUILD_ROOT%{ruby_ridir}}

# ruby emacs mode - borrowed from FC-4
%if %{with emacs}
install misc/*.el $RPM_BUILD_ROOT%{_emacs_lispdir}/%{name}-mode
rm -f $RPM_BUILD_ROOT%{_emacs_lispdir}/%{name}-mode/rubydb2x.el
install %{SOURCE12} $RPM_BUILD_ROOT%{_emacs_lispdir}/site-start.d
cat << EOF > path.el
(setq load-path (cons "." load-path) byte-compile-warnings nil)
EOF
emacs --no-site-file -q -batch -l path.el -f batch-byte-compile $RPM_BUILD_ROOT%{_emacs_lispdir}/%{name}-mode/*.el
rm -f path.el*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README README.EXT ChangeLog ToDo
%attr(755,root,root) %{_bindir}/ruby
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/ruby.1*
%{_infodir}/*.info*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{ruby_ver}
%dir %{_libdir}/%{name}/%{ruby_ver}/*-linux*
%dir %{_libdir}/%{name}/site_ruby
%dir %{_libdir}/%{name}/site_ruby/%{ruby_ver}
%dir %{_libdir}/%{name}/site_ruby/%{ruby_ver}/*-linux*
%dir %{_datadir}/%{name}
%dir %{_datadir}/ri
%dir %{_datadir}/ri/%{ruby_ver}
%dir %{_datadir}/ri/%{ruby_ver}/system

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/%{name}/%{ruby_ver}/*/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files tk
%defattr(644,root,root,755)
%{_libdir}/%{name}/%{ruby_ver}/tcltk.rb
%{_libdir}/%{name}/%{ruby_ver}/tk*.rb
%{_libdir}/%{name}/%{ruby_ver}/tk
%{_libdir}/%{name}/%{ruby_ver}/tkextlib
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/t*.so

%files modules
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/erb
%attr(755,root,root) %{_bindir}/irb
%attr(755,root,root) %{_bindir}/rdoc
%attr(755,root,root) %{_bindir}/ri
%attr(755,root,root) %{_bindir}/testrb
%{_libdir}/%{name}/%{ruby_ver}/bigdecimal
%{_libdir}/%{name}/%{ruby_ver}/cgi
%{_libdir}/%{name}/%{ruby_ver}/date
%{_libdir}/%{name}/%{ruby_ver}/dl
%{_libdir}/%{name}/%{ruby_ver}/drb
%{_libdir}/%{name}/%{ruby_ver}/io
%{_libdir}/%{name}/%{ruby_ver}/irb
%{_libdir}/%{name}/%{ruby_ver}/net
%{_libdir}/%{name}/%{ruby_ver}/openssl
%{_libdir}/%{name}/%{ruby_ver}/optparse
%{_libdir}/%{name}/%{ruby_ver}/racc
%{_libdir}/%{name}/%{ruby_ver}/rdoc
%{_libdir}/%{name}/%{ruby_ver}/rexml
%{_libdir}/%{name}/%{ruby_ver}/rinda
%{_libdir}/%{name}/%{ruby_ver}/rss
%{_libdir}/%{name}/%{ruby_ver}/runit
%{_libdir}/%{name}/%{ruby_ver}/shell
%{_libdir}/%{name}/%{ruby_ver}/soap
%{_libdir}/%{name}/%{ruby_ver}/test
%{_libdir}/%{name}/%{ruby_ver}/uri
%{_libdir}/%{name}/%{ruby_ver}/webrick
%{_libdir}/%{name}/%{ruby_ver}/wsdl
%{_libdir}/%{name}/%{ruby_ver}/xmlrpc
%{_libdir}/%{name}/%{ruby_ver}/xsd
%{_libdir}/%{name}/%{ruby_ver}/yaml
%{_libdir}/%{name}/%{ruby_ver}/[A-Za-s]*.rb
%{_libdir}/%{name}/%{ruby_ver}/tempfile.rb
%{_libdir}/%{name}/%{ruby_ver}/thread.rb
%{_libdir}/%{name}/%{ruby_ver}/thwait.rb
%{_libdir}/%{name}/%{ruby_ver}/time.rb
%{_libdir}/%{name}/%{ruby_ver}/timeout.rb
%{_libdir}/%{name}/%{ruby_ver}/tmpdir.rb
%{_libdir}/%{name}/%{ruby_ver}/tracer.rb
%{_libdir}/%{name}/%{ruby_ver}/tsort.rb
%{_libdir}/%{name}/%{ruby_ver}/[u-z]*.rb
%dir %{_libdir}/%{name}/%{ruby_ver}/*-linux*/digest
%dir %{_libdir}/%{name}/%{ruby_ver}/*-linux*/io
%dir %{_libdir}/%{name}/%{ruby_ver}/*-linux*/racc
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/[a-s]*.so
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/[u-z]*.so
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/digest/*.so
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/io/*.so
%attr(755,root,root) %{_libdir}/%{name}/%{ruby_ver}/*-linux*/racc/*.so
%{_libdir}/%{name}/%{ruby_ver}/*-linux*/rbconfig.rb
%{_mandir}/man1/erb.1*
%{_mandir}/man1/irb.1*
%{_mandir}/man1/rdoc.1*
%{_mandir}/man1/ri.1*
%{_mandir}/man1/testrb.1*

%files doc
%defattr(644,root,root,755)
%doc faq guide
%{?with_doc:%doc rdoc}

%if %{with doc}
%files doc-ri
%defattr(644,root,root,755)
%{_datadir}/ri/%{ruby_ver}/system/*
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with emacs}
%files emacs-mode
%defattr(644,root,root,755)
%doc misc/*
%dir %{_emacs_lispdir}/%{name}-mode
%{_emacs_lispdir}/%{name}-mode/*.elc
%{_emacs_lispdir}/site-start.d/*.el
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby.spec,v $
Revision 1.148.2.5  2006/12/26 11:44:54  twittner
- rel. 5 which:
  - repairs broken ruby_site paths (they were broken
    because configure.in wasn't ac-2.60 ready)
  - fixes building tk extension on platforms with `/lib64'

Revision 1.148.2.4  2006/12/26 11:30:09  twittner
- remove my empty log message because rpm treats it as bad
  date in %changelog

Revision 1.148.2.3  2006/12/26 11:24:07  twittner
- put some `/lib64' in paths for tk ext

Revision 1.148.2.1  2006/12/25 19:18:54  twittner
- enable threads on PPC for Ac
- STBR ac-ppc test --without doc

Revision 1.148  2006/12/25 18:51:28  twittner
- restored `--without-pthreads' for PPCs after producing buildlog with
  compilation error msg.
- added huge note with explanation of encountered building fails on PPC

Revision 1.147  2006/12/25 16:15:11  twittner
- missing comment

Revision 1.146  2006/12/25 15:03:33  twittner
- temporary reverted pluto's changes from rev. 1.138:
  - disable pthreads on ppc ( now it builds but may segv with tcl/tk ).
  for test build

Revision 1.145  2006/12/25 14:57:08  twittner
- added `%%bcond_without doc': skip generating some generated docs
  which is time-consuming. Intended for speed up test builds.

Revision 1.144  2006/12/25 14:40:09  twittner
- further fixes related to /lib64/:
  remove %%_ulibdir = /usr/lib from %%files - older packages
  have only empty /lib/ directories

Revision 1.143  2006/12/25 13:42:43  twittner
- keep my changes separately: ruby-LIB_PREFIX.patch restored
  to its oryginal contents; fix shell quotation for ruby_site
  is in ruby-a260.patch
- rel. 4.1 - let's try it on arch with /lib64

Revision 1.142  2006/12/23 20:02:37  twittner
- fixed ruby load modules paths - ruby_site are back
  (POSIXLY_CORRECT && autoconf-2.60 && shell quotation issue)
  thanks to arekm for an apt suggestion
- rel. 4

Revision 1.141  2006/12/11 20:46:24  glen
- avoid packaging /usr/lib/ruby twice

Revision 1.140  2006/12/11 16:43:25  qboosh
- updated to 1.8.5-p2 (fixes CVE-2006-6303)
- removed obsolete cgi-dos-1 patch (already in sources)

Revision 1.139  2006/11/04 18:52:59  aredridel
- patched to fix CVE-2006-5467.

Revision 1.138  2006/10/03 20:58:33  pluto
- disable pthreads on ppc ( now it builds but may segv with tcl/tk ).

Revision 1.137  2006/10/01 12:40:09  arekm
- rel 2; add %%dir %%{_ulibdir}/%%{name}

Revision 1.136  2006/09/12 14:46:20  pluto
- th/blocker added. ruby causes SEGVs at -O0.

Revision 1.135  2006/08/27 19:05:49  qboosh
- updated: ruby 1.8.5, onigd 2.5.7, doc-stdlib 0.10.1

Revision 1.134  2006/05/23 19:53:32  glen
- typo

Revision 1.133  2006/05/23 19:48:09  glen
- drop macros.ruby (not needed (rpm-build-macros provides it) and done wrong (not lib64 safe)); rel 6

Revision 1.132  2006/05/01 19:09:50  pluto
- keep frame pointers for correct exception handling.

Revision 1.131  2006/04/10 20:14:21  twittner
- BR: openssl-devel

Revision 1.130  2006/04/08 19:58:46  twittner
- force info page generating from (patched) texinfo sources

Revision 1.129  2006/01/09 20:24:52  qboosh
- pl summary for -modules, cosmetics

Revision 1.128  2006/01/06 19:24:29  twittner
- don't pack *.el files (only byte-compiled *.elc)

Revision 1.127  2006/01/02 17:32:14  twittner
- added -emacs-mode subpackage

Revision 1.126  2006/01/01 09:54:11  twittner
- don't force linking with -lruby-static: restore commented out
  -mkmf-shared.patch (updated for ruby 1.8.4)
- rel. 5, STBR

Revision 1.125  2005/12/29 16:47:34  twittner
- add Provides: ruby(ver) = 1.8 and ruby-modules(ver) = 1.8
- use %ruby_ver macro instead of 1.8
- move directory skeleton (only empty directories) from
  ruby-modules to ruby package
- rel. 4, STBR

Revision 1.124  2005/12/27 08:48:22  twittner
- add version ( < 1.8.4 ) to O: ruby-doc - subpkg. ruby-doc is restored
- extend s,/usr/local/bin,%{_bindir} changes (not only shebangs in scripts)
- rel. 3 - STBR again please

Revision 1.123  2005/12/27 01:15:32  twittner
- rel. 2, STBR

Revision 1.122  2005/12/26 21:04:09  glen
- adapterized; adapter friendly sed

Revision 1.121  2005/12/26 20:52:24  twittner
- fix typo: s/runnter/runner/
- fix /usr/local/bin fix, use sed instead of perl, BR: sed >= 4.0

Revision 1.120  2005/12/26 08:28:32  ankry
- formatting

Revision 1.119  2005/12/26 07:43:20  twittner
- fix R: in -tk, add `R: ruby-modules' to -doc-ri, complete pl translations

Revision 1.118  2005/12/26 07:13:48  twittner
- fixed requires: static pkg. R: devel

Revision 1.117  2005/12/26 01:35:10  twittner
- main change: split ruby main package into separate subpackages:
  - ruby - contains only ruby shared library and interpreter
  - ruby-modules - contains ruby boundled libraries and utilities: irb,
    rdoc, ri. Utilities and their libraries are rather small so it isn't
    worth to release them into separate subpkg. and for complicating
    requires - for this reason ri doc empty directories belong to this pkg.
     - ri docs from ruby extension packages go here.
  - ruby-doc - contains html documentation: FAQ, Guide, Core and Stdlib
  - ruby-examples - contains what is in sample directory
  - ruby-doc-ri - ruby bundled(?) and generated documentation during ruby
    building in ri format.
- added manpages from Debian for rdoc(1), ri(1), testrb(1); updated irb(1)
  with Debian version.
- rel. 1.1 (please test it and raise objections)

Revision 1.116  2005/12/24 23:42:48  aredridel
- up to 1.8.4
- Merry Christmas!

Revision 1.115  2005/09/25 13:54:33  aredridel
- docs build

Revision 1.114  2005/09/21 04:24:32  aredridel
- added rexml fix

Revision 1.113  2005/09/21 02:24:26  aredridel
- up to 1.8.3
- remove broken docs

Revision 1.112  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.111  2005/08/18 17:00:17  aredridel
- prettier find

Revision 1.110  2005/07/11 16:29:58  glen
- revert overadapterization

Revision 1.109  2005/07/11 15:35:10  aredridel
- remove todo

Revision 1.108  2005/07/11 15:34:30  aredridel
- rel 5
- patch XMLRPC flaw
- STBR

Revision 1.107  2005/07/11 14:59:25  glen
- TODO (possible xmlrpc bug)

Revision 1.106  2005/07/09 23:21:40  aredridel
- add datadir, beginning of fixing AMD64 libdir issues

Revision 1.105  2005/04/29 13:30:35  pluto
- release 4 for Th.

Revision 1.104  2005/03/21 23:37:01  aredridel
- oniguruma 2.4.2

Revision 1.103  2005/02/27 07:20:58  aredridel
- inline source in docs
- add macros

Revision 1.102  2005/01/15 21:48:01  saq
- doesn't work, reverted

Revision 1.101  2005/01/10 21:43:27  saq
- lib64-friendly sitedir

Revision 1.100  2004/12/30 15:15:04  kali
- added missing dirs

Revision 1.99  2004/12/26 02:28:16  qboosh
- removed obsolete onig-types,cgi_dos patches

Revision 1.98  2004/12/26 01:35:54  aredridel
- up to 1.8.2
- rel 3 for final release

Revision 1.97  2004/12/23 22:48:56  aredridel
- up to 20041222, 1.8.2-preview4

Revision 1.96  2004/12/13 21:38:05  krolik
- updated MD5 for sources, rel *.4

Revision 1.95  2004/12/13 21:11:32  krolik
- rel. *.3 (package builds, thanks to Aredridel)
- has a latest security patch added in previous Release.
- STBR

Revision 1.94  2004/12/13 20:08:03  aredridel
- builds without installed ruby

Revision 1.93  2004/12/13 07:55:57  aredridel
- builds for me
- uses built ruby, not system to build docs (thanks krolik)

Revision 1.92  2004/12/13 07:10:42  krolik
- added security patch (id. no. #5548)
- rel next (*.2) package doesn't build yet. :(

Revision 1.91  2004/09/06 08:12:55  aredridel
- up to 20040906
- fix doc building

Revision 1.90  2004/09/06 06:57:57  aredridel
- fix stupid mistake in putting ridocs in the right place

Revision 1.89  2004/09/05 06:54:36  aredridel
- fix revision log

Revision 1.88  2004/09/05 06:53:06  aredridel
- up to stable 20040904
- use prebuilt docs, don't kill builder

Revision 1.87  2004/08/29 23:36:42  aredridel
- up to stable CVS 20040829

Revision 1.86  2004/08/23 23:10:33  qboosh
- release .3

Revision 1.85  2004/08/23 23:09:59  qboosh
- added mkmf-shared patch
- libruby.so.1.8 symlink is autogenerated by ldconfig

Revision 1.84  2004/08/23 21:24:30  qboosh
- security bug (CAN-2004-0755 - tmp files perms problem) is fixed in 1.8.2-preview2
- release .2

Revision 1.83  2004/08/23 21:18:58  qboosh
- updated ia64 patch
- added onig-types patch, oniguruma is back on all archs

Revision 1.82  2004/08/23 09:35:23  blues
- SECURITY note

Revision 1.81  2004/08/23 06:22:19  domelu
- some cosmetics

Revision 1.80  2004/08/23 06:10:10  aredridel
- split stdlib from core docs

Revision 1.79  2004/08/23 06:08:50  aredridel
- added many many more docs

Revision 1.78  2004/08/22 06:18:03  aredridel
- up to 1.8.2-preview2 again
- remove oniguruma from sparc and alpha

Revision 1.77  2004/08/22 04:01:58  aredridel
- update oniguruma to 3.2.7

Revision 1.76  2004/08/21 04:05:35  aredridel
- downgrade to 1.8.1 for sparc and alpha
- remove rdoc and ri, build is broken in 1.8.1

Revision 1.75  2004/08/20 21:24:17  twittner
- libruby.so.1.8 is needed.

Revision 1.74  2004/08/20 09:02:56  qboosh
- missing defattr for -static, moved headers to -devel

Revision 1.73  2004/08/20 06:59:18  aredridel
- move *.h to -devel

Revision 1.72  2004/08/19 18:17:59  aredridel
- split -static
- move libruby.so to -devel

Revision 1.71  2004/08/19 16:57:31  undefine
- release 2

Revision 1.70  2004/08/19 16:55:50  aredridel
- ruby-devel R: ruby

Revision 1.69  2004/08/19 05:06:08  aredridel
- add ri docs for real
- really rel 1

Revision 1.68  2004/08/19 04:53:54  aredridel
- include ri docs
- rel 1

Revision 1.67  2004/08/19 01:26:29  aredridel
- add pthread support for TCL/TK

Revision 1.66  2004/08/19 00:30:46  aredridel
- Put documentation in the right place.

Revision 1.65  2004/08/13 01:40:37  aredridel
- up to 1.8.2-preview2
- fixes segv when running instiki

Revision 1.64  2004/07/26 18:42:00  qboosh
- wrong line, I think - fixed

Revision 1.63  2004/07/26 15:42:22  aredridel
- License is BSD-like, not GPL
- Oniguruma, the regex engine, is Ruby license, so there are no restrictions
  on using Ruby.

Revision 1.62  2004/07/25 17:47:07  qboosh
- document ia64 bug better, so it can be examined in future

Revision 1.61  2004/07/25 14:25:16  qboosh
- added ia64 patch + -O0 as nasty workaround (anything higher breaks)

Revision 1.60  2004/06/14 17:08:17  aredridel
- updated oniguruma to 20040610 (3.2.0)

Revision 1.59  2004/05/26 15:17:40  aredridel
- up to oniguruma 3.1.0
- rel 6

Revision 1.58  2004/01/06 16:45:47  jajcus
- Release: 5

Revision 1.57  2004/01/06 16:42:17  jajcus
- more AMD64 fixes:
- -tcltklib-lib64.patch not needed any more
- ruby should actually work (find its library files) on AMD64

Revision 1.56  2004/01/06 12:19:51  ankry
- spaces -> tabs

Revision 1.55  2004/01/06 10:42:02  jajcus
- Release: 4
- more AMD64 fixes

Revision 1.54  2004/01/06 09:53:16  jajcus
- make it build when _host} contains '-gnu'

Revision 1.53  2004/01/06 08:34:57  jajcus
- AMD64 fixes (NFY)

Revision 1.52  2003/12/31 05:59:18  aredridel
- updated Oniguruma (Will be part of Ruby 1.9)
- Rel 3

Revision 1.51  2003/12/25 17:35:25  aredridel
- obsoletes rdoc
- fix /usr/local/bin

Revision 1.50  2003/12/25 05:18:14  aredridel
- up to 1.8.1

Revision 1.49  2003/12/02 16:22:52  mmazur
- rel 4 to rebuild with new db

Revision 1.48  2003/11/29 00:18:05  adgor
- Fixed %%files (was listed twice)

Revision 1.47  2003/10/20 11:15:29  qboosh
- added deps and defattr for -tk

Revision 1.46  2003/10/20 07:48:20  ankry
- fixed bogus changelog

Revision 1.45  2003/10/20 07:47:36  ankry
- pl, cosmetics

Revision 1.44  2003/10/20 05:16:19  aredridel
- separated tk so Ruby does not depend on X

Revision 1.43  2003/08/26 20:21:15  aredridel
- changed to use Oni Goruma (oniguruma) regex engine.

Revision 1.42  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.41  2003/08/08 16:30:26  qboosh
- use plain configure

Revision 1.40  2003/08/06 01:05:07  aredridel
- updated to 1.8.0 final

Revision 1.39  2003/08/03 17:31:20  aredridel
- updated to preview7

Revision 1.38  2003/07/31 13:52:58  aredridel
- updated to preview6

Revision 1.37  2003/07/29 10:11:58  qboosh
- pl description for -devel, domain

Revision 1.36  2003/07/28 21:01:31  aredridel
- updated to 1.8.0preview5

Revision 1.35  2003/07/26 13:40:02  wiget
- fix versioning scheme

Revision 1.34  2003/07/26 01:32:54  aredridel
- updated to 1.8.0preview4
- obsoletes ruby-REXML

Revision 1.30  2003/04/02 21:16:21  qboosh
- updated to 1.6.8, updated ac25x patch

Revision 1.29  2003/04/02 12:14:51  trojan
- s#local/bin/ruby#bin/ruby#

Revision 1.28  2003/03/31 09:45:51  qboosh
- updated Source1 and Source3 URL

Revision 1.27  2003/03/26 16:44:21  wiget
- rebuild with new gdbm
- release 2

Revision 1.26  2003/01/02 03:18:56  kloczek
- merge translations from MIZI and TurboLinux.

Revision 1.25  2002/12/24 17:15:12  qboosh
- more specific Requires()

Revision 1.24  2002/05/22 20:28:43  qboosh
- added ac25x patch needed for autoconf 2.53
- removed workaround for ac - mkconfig.rb supports ac 2.52 now
- longer info patch, fixed info pages are back
- new %%doc

Revision 1.23  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/05/20 07:50:36  pioklo
- up to 1.6.7,STBR

Revision 1.21  2002/05/20 07:07:42  pioklo
-up to 1.6.7,STBR

Revision 1.20  2002/05/18 20:26:41  mmazur
- fixed error while building docs (that is turned of building docs :)
though they seem to build anyhow. Well... no matah... STBR.
- P.S. I'm not responsible... bite rmf if you don't like this "fix" :)

Revision 1.19  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/03 05:28:10  kloczek
- updated to 1.6.6 (bug fix release),
- new Source url.

Revision 1.15  2002/01/03 04:47:13  kloczek
- release 5: ruby-doc added to Obsoletes for allow upgrade from MDK.

Revision 1.14  2001/09/08 19:11:55  kloczek
- release 4.

Revision 1.13  2001/09/08 18:27:36  qboosh
- added workaround for syntax errors on rbconfig.rb processing

Revision 1.12  2001/09/06 23:13:47  kloczek
- removed double listed files.

Revision 1.11  2001/09/06 22:31:04  kloczek
- bump release to release 3,
- added irb(1) man page (stolen from RH resources).

Revision 1.10  2001/09/06 22:20:42  kloczek
- updated to 1.6.4,
- regenerate ac files,
- removed obsoletes readline patch.

Revision 1.9  2001/07/27 20:22:32  migo
'- added missing (pl) in pl Summary'

Revision 1.8  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.5  2001/04/13 16:32:15  wiget
add patch to compile with readline 4.2; release 2

Revision 1.4  2001/03/29 07:58:45  mis
- autoupdated to 1.6.3

Revision 1.3  2001/02/15 21:18:40  kloczek
- added /sbin/ldconfig to Prereq,
- added info patch with ruby info index entry fixes (added texinfo to
  BuildRequires),
- few small cosmetics.
NOTE: IMHO some files and dosumentations can be separated into devel
subpackage.

Revision 1.2  2001/02/15 17:35:23  qboosh
- BuildRequires: gdbm-devel
- removed XFree86-devel and tcl-devel from BR (tk-devel implies them)

Revision 1.1  2000/12/30 15:46:59  mis
- initial PLD version

* Wed Nov 22 2000 Tim Powers <timp@redhat.com>
- initial build for Powertools
